TYPO3 Core - Bug #87450

Harden CommanduUtility invocations

2019-01-15 15:54 - Oliver Hader

Status: Closed Start date: 2019-01-15
Priority: Should have Due date:

Assignee: % Done: 100%
Category: Estimated time: 0.00 hour
Target version:

TYPO3 Version: 8 Complexity:

PHP Version: Is Regression:

Tags: Sprint Focus:

Description

Associated revisions

Revision 71c15ee8 - 2019-01-17 16:14 - Oliver Hader
[BUGFIX] Harden CommandUtility invocations

In order to harden CommandUtility API arguments used for invoking
system commands are escaped in addition. Since no insecure usages
have been identified in the TYPOS core nor in public third party
extensions, this change is handled using a public workflow.

| In order to evaluate whether third party extensions open a | potential attack vector, usages of CommandUtility::checkCommand(), |
CommandUtility::getCommand() and the registration of custom services | (SGLOBALS['T3_SERVICES’]) concerning their ‘exec’ argument have to |
be checked.

Resolves: #87450

Releases: master, 9.5, 8.7

Security-Advisory: TYPO3-PSA-2019-001

Change-Id: [f4f2a63045ac7b2473881992f9731a635a768d37
Reviewed-on: https://review.typo3.org/59448

Tested-by: TYPO3com <noreply@typo3.com>

Reviewed-by: Frank Naegler <frank.naegler@typo3.org>
Tested-by: Frank Naegler <frank.naegler@typo3.org>
Reviewed-by: Georg Ringer <georg.ringer@gmail.com>
Tested-by: Georg Ringer <georg.ringer@gmail.com>
Reviewed-by: Christian Kuhn <lolli@schwarzbu.ch>
Tested-by: Christian Kuhn <lolli@schwarzbu.ch>
Reviewed-by: Anja Leichsenring <aleichsenring@ab-softlab.de>
Reviewed-by: Oliver Hader <oliver.hader@typo3.org>
Tested-by: Oliver Hader <oliver.hader@typo3.org>

Revision 8c382831 - 2019-01-21 12:47 - Oliver Hader
[BUGFIX] Harden CommandUltility invocations

In order to harden CommandUtility API arguments used for invoking
system commands are escaped in addition. Since no insecure usages
have been identified in the TYPO3 core nor in public third party
extensions, this change is handled using a public workflow.

| In order to evaluate whether third party extensions open a | potential attack vector, usages of CommandUtility::checkCommand(), |
CommandUtility::getCommand() and the registration of custom services | ($GLOBALS[‘T3_SERVICES’]) concerning their ‘exec’ argument have to |
be checked.

Resolves: #87450

Releases: master, 9.5, 8.7

Security-Advisory: TYPO3-PSA-2019-001

Change-Id: [f4f2a63045ac7b2473881992f9731a635a768d37
Reviewed-on: https://review.typo3.org/59471

Tested-by: TYPO3com <noreply@typo3.com>

Reviewed-by: Oliver Hader <oliver.hader@typo3.org>
Tested-by: Oliver Hader <oliver.hader@typo3.org>
Revision 5e7476a6 - 2019-01-21 12:48 - Oliver Hader
[BUGFIX] Harden CommandUltility invocations

In order to harden CommandUtility API arguments used for invoking
system commands are escaped in addition. Since no insecure usages
have been identified in the TYPO3 core nor in public third party
extensions, this change is handled using a public workflow.

| In order to evaluate whether third party extensions open a | potential attack vector, usages of CommandULtility::checkCommand(), |
CommandUtility::getCommand() and the registration of custom services | ($GLOBALS[‘T3_SERVICES’]) concerning their ‘exec’ argument have to |

be checked.

Resolves: #87450

Releases: master, 9.5, 8.7

Security-Advisory: TYPO3-PSA-2019-001

Change-Id: [f4f2a63045ac7b2473881992f9731a635a768d37
Reviewed-on: https:/review.typo3.org/59472

Tested-by: TYPO3com <noreply@typo3.com>

Reviewed-by: Oliver Hader <oliver.hader@typo3.org>
Tested-by: Oliver Hader <oliver.hader@typo3.org>

History

#1 - 2019-01-15 16:01 - Gerrit Code Review

- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/59448

#3 - 2019-01-17 16:14 - Gerrit Code Review

Patch set 1 for branch 9.5 of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/59471

#4 - 2019-01-17 16:30 - Oliver Hader
- Status changed from Under Review to Resolved

- % Done changed from 0 to 100

Applied in changeset 71c15ee89a6bec616fac7fe4137284ef1177dbdc.

#5 - 2019-01-17 16:30 - Gerrit Code Review

- Status changed from Resolved to Under Review

Patch set 1 for branch TYPO3_8-7 of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.0rg/59472

#6 - 2019-01-21 13:00 - Oliver Hader

- Status changed from Under Review to Resolved

Applied in changeset 8c382831d868a0ea7ad6c5747103c5¢152ea3add.

#7 - 2019-05-07 12:13 - Benni Mack

- Status changed from Resolved to Closed
